org.w3c.css.sac

## Interface Selector

All Known Subinterfaces:
  CharacterDataSelector, ConditionalSelector, DescendantSelector, ElementSelector, NegativeSelector, ProcessingInstructionSelector, SiblingSelector, SimpleSelector

    public interface Selector

This interface defines a selector.

Remarks: Not all the following selectors are supported (or will be supported) by CSS.

All examples are CSS2 compliant.

### Field Summary

Fields
`static short` `SAC_ANY_NODE_SELECTOR` This selector matches any node.
`static short` `SAC_CDATA_SECTION_NODE_SELECTOR` This selector matches only cdata node.
`static short` `SAC_CHILD_SELECTOR` This selector matches a childhood relationship between two elements.
`static short` `SAC_COMMENT_NODE_SELECTOR` This selector matches only comment node.
`static short` `SAC_CONDITIONAL_SELECTOR` This is a conditional selector.
`static short` `SAC_DESCENDANT_SELECTOR` This selector matches an arbitrary descendant of some ancestor element.
`static short` `SAC_DIRECT_ADJACENT_SELECTOR` This selector matches two selectors who shared the same parent in the document tree and the element represented by the first sequence immediately precedes the element represented by the second one.
`static short` `SAC_ELEMENT_NODE_SELECTOR` This selector matches only element node.
`static short` `SAC_NEGATIVE_SELECTOR` This selector matches only node that are different from a specified one.
`static short` `SAC_PROCESSING_INSTRUCTION_NODE_SELECTOR` This selector matches only processing instruction node.
`static short` `SAC_PSEUDO_ELEMENT_SELECTOR` This selector matches the 'first line' pseudo element.
`static short` `SAC_ROOT_NODE_SELECTOR` This selector matches the root node.
`static short` `SAC_TEXT_NODE_SELECTOR` This selector matches only text node.

### Method Summary

All Methods Instance Methods Abstract Methods
`short` `getSelectorType()` An integer indicating the type of `Selector`

### Field Detail

#### SAC_CONDITIONAL_SELECTOR

    static final short SAC_CONDITIONAL_SELECTOR

This is a conditional selector. example:

       simple[role="private"]
       .part1
       H1#myId
       P:lang(fr).p1

See Also:
  `ConditionalSelector`, Constant Field Values

#### SAC_ANY_NODE_SELECTOR

    static final short SAC_ANY_NODE_SELECTOR

This selector matches any node.

See Also:
  `SimpleSelector`, Constant Field Values

#### SAC_ROOT_NODE_SELECTOR

    static final short SAC_ROOT_NODE_SELECTOR

This selector matches the root node.

See Also:
  `SimpleSelector`, Constant Field Values

#### SAC_NEGATIVE_SELECTOR

    static final short SAC_NEGATIVE_SELECTOR

This selector matches only node that are different from a specified one.

See Also:
  `NegativeSelector`, Constant Field Values

#### SAC_ELEMENT_NODE_SELECTOR

    static final short SAC_ELEMENT_NODE_SELECTOR

This selector matches only element node. example:

       H1
       animate

See Also:
  `ElementSelector`, Constant Field Values

#### SAC_TEXT_NODE_SELECTOR

    static final short SAC_TEXT_NODE_SELECTOR

This selector matches only text node.

See Also:
  `CharacterDataSelector`, Constant Field Values

#### SAC_CDATA_SECTION_NODE_SELECTOR

    static final short SAC_CDATA_SECTION_NODE_SELECTOR

This selector matches only cdata node.

See Also:
  `CharacterDataSelector`, Constant Field Values

#### SAC_PROCESSING_INSTRUCTION_NODE_SELECTOR

    static final short SAC_PROCESSING_INSTRUCTION_NODE_SELECTOR

This selector matches only processing instruction node.

See Also:
  `ProcessingInstructionSelector`, Constant Field Values

#### SAC_COMMENT_NODE_SELECTOR

    static final short SAC_COMMENT_NODE_SELECTOR

This selector matches only comment node.

See Also:
  `CharacterDataSelector`, Constant Field Values

#### SAC_PSEUDO_ELEMENT_SELECTOR

    static final short SAC_PSEUDO_ELEMENT_SELECTOR

This selector matches the 'first line' pseudo element. example:

       :first-line

See Also:
  `ElementSelector`, Constant Field Values

#### SAC_DESCENDANT_SELECTOR

    static final short SAC_DESCENDANT_SELECTOR

This selector matches an arbitrary descendant of some ancestor element. example:

       E F

See Also:
  `DescendantSelector`, Constant Field Values

#### SAC_CHILD_SELECTOR

    static final short SAC_CHILD_SELECTOR

This selector matches a childhood relationship between two elements. example:

       E > F

See Also:
  `DescendantSelector`, Constant Field Values

#### SAC_DIRECT_ADJACENT_SELECTOR

    static final short SAC_DIRECT_ADJACENT_SELECTOR

This selector matches two selectors who shared the same parent in the document tree and the element represented by the first sequence immediately precedes the element represented by the second one. example:

       E + F

See Also:
  `SiblingSelector`, Constant Field Values

### Method Detail

#### getSelectorType

    short getSelectorType()

An integer indicating the type of `Selector`